### Method

# St ThemeNode get_content_box

#### Declaration [src]

    void
    st_theme_node_get_content_box (
      StThemeNode* node,
      const ClutterActorBox* allocation,
      ClutterActorBox* content_box
    )

#### Description [src]

Gets the box within an actor’s allocation that contents the content of an actor (excluding borders and padding). This is a convenience function meant to be used from the `allocate()` or `paint()` methods of a `ClutterActor` subclass.

#### Parameters

`allocation`

  Type: `ClutterActorBox`

  The box allocated to a `ClutterAlctor`.

  The data is owned by the caller of the method.

`content_box`

  Type: `ClutterActorBox`

  Computed box occupied by the actor’s content.

  The argument will be set by the function.
  The data is owned by the instance.